# Command: Run

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Run - simulate n milliseconds

Synopsis:

      n(int) Run ->	-

Description:

    Simulate the network for n milliseconds.
      Call prepare before, and cleanup after.
      t m mul Simulate = Prepare m { t Run } repeat Cleanup

      Note: Run must only be used after Prepare is called, and
      before Cleanup to finalize state (close files, etc).
      Any changes made between Prepare and Cleanup may cause
      undefined behavior and incorrect results.

SeeAlso:

- Simulate
- resume
- unit_conversion
- Prepare
- Cleanup

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative